Subject: Re: bug#26830: Allow services to implement a 'reload' action

From: Mathieu Othacehe <[email-masked]>
Date: Tue, 09 May 2017 17:37:25 +0200

Hi Clément,

> Services do not have to implement 'reload' and if, say, foo-daemon
> doesn't implement it, 'herd reload foo-daemon' will return 1 and display
> a message saying that foo-deamon does not have an action 'reload'.
> That's the reason of the #f default value.
>
> WDYT?

Your whole serie LGTM for me !

I have just one small concern, there is a already a "reload" action on
shepherd root service.

For instance you can call "herd reload root conf.scm".

Maybe it will be unclear for users how reload action differs on root
service where it takes an argument and guix services where it does not.

You could maybe mention that in the documentation and/or in the code ?

Thanks,

Mathieu